/******************************************************************************
  * @file   PT32X005_conf.h
  * @author  ӦÿŶ
  * @version V1.1.0
  * @date    2020/1/27
  * @brief    
  *          
  ******************************************************************************
  * @attention
  *
  *
  *****************************************************************************/

  

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef PT32X005_CONF_H
#define PT32X005_CONF_H

/* Includes ------------------------------------------------------------------*/
/* Comment the line below to disable peripheral header file inclusion */
#include "PT32X005_gpio.h"
#include "PT32X005_exti.h"
#include "PT32X005_tim.h"
#include "PT32X005_misc.h"
#include "PT32X005_uart.h"
#include "PT32X005_rcc.h"
#include "PT32X005_pwm.h"
#include "PT32X005_wdg.h"
#include "PT32X005_wdg.h"
#include "PT32X005_i2c.h"
#include "PT32X005_id.h"
#include "PT32X005_spi.h"
#include "PT32X005_crc.h"
#include "PT32X005_ifmc.h"
#include "PT32X005_adc.h"
#include "PT32X005_pwr.h"
/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/

#define UART_USED_UART0	//Printf function retaget define

#ifdef  USE_FULL_ASSERT

/**
  * @brief  The assert_param macro is used for function's parameters check.
  * @param  expr: If expr is false, it calls assert_failed function which reports 
  *         the name of the source file and the source line number of the call 
  *         that failed. If expr is true, it returns no value.
  * @retval None
  */
  #define assert_param(expr) ((expr) ? (void)0 : assert_failed((u8 *)__FILE__, __LINE__))
/* Exported functions ------------------------------------------------------- */
  void assert_failed(u8* file, u32 line);
#else
  #define assert_param(expr) ((void)0)
#endif /* USE_FULL_ASSERT */

#endif 


