  /******************************************************************************
  * @Example PT32X005_RCC
  * @author  ӦÿŶ
  * @version V1.1.0
  * @date    2020/1/27
  * @brief   ͨʱ̬лCPUʱ,ͨMCO16ƵǰϵͳʱƵ
  *          
  ******************************************************************************
  * @attention	ʹø̣
  *							ҪУѡMCOãMCOƵΪ16Ƶ
  *
  *****************************************************************************/
	
#include "PT32X005.h"


void Software_Delay(void)
{
	u8 i, j,x;
	for(i=0; i<100; i++)
		for(j=0; j<100; j++)
			for(x=0; x<100; x++);
}

void Software_Delay_32K(void)
{
	u8 j,x;
	for(j=0; j<100; j++)
		for(x=0; x<100; x++);
}


/**
* @brief ϵͳʱãڲLSI
* @param 
* @retval 
*/
void Clock_SwitchTo_Int32KRC(void)
{
	RCC->CFGR = 0;
	RCC->LCR = 0x01;		//ڲRC 32KHZʹ
	RCC->CFGR |= 0x03;
	RCC->PCR = 0x00;
	RCC->HCR = 0;			//ڲRC 24MHZʹ
}

/**
* @brief ϵͳʱãHSI
* @param 
* @retval 
*/
void Clock_SwitchTo_Int24MRC(void)
{
	RCC->PCR = 0x00;
	RCC->HCR = 1;			//ڲRC 24MHZʹ
	RCC->CFGR = 0;
	RCC->LCR = 0;
}

/**
* @brief ϵͳʱãPLLʱ
* @param 
* @retval 
*/
void Clock_SwitchTo_Int48MRC(void)
{
	RCC->LCR = 0x01;		//ڲRC 32KHZʹ
	RCC->HCR = 1;			//ڲRC 24MHZʹ
	RCC->PCR = 0x00;		//PLLʱӽ
	RCC->CFGR = 0;			//ʱüĴ
	RCC->PCR = 0x01;		//PLLʱʹ
	RCC->CFGR = 0x02;		//PLLʱΪϵͳʱӣHSIΪPLLʱ
}


int main (void)
{
	while(1)
	{
		Clock_SwitchTo_Int32KRC();	//ϵͳʱãLSI
		Software_Delay_32K();
		Clock_SwitchTo_Int48MRC();	//ϵͳʱãPLLʱ
		Software_Delay();
		Software_Delay();
		Software_Delay();
		Software_Delay();
		Software_Delay();
		Software_Delay();
		Software_Delay();
		Clock_SwitchTo_Int24MRC();	//ϵͳʱãHSI
		Software_Delay();
		Software_Delay();
		Software_Delay();
		Software_Delay();
	}
}


#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %lu\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif


