  /******************************************************************************
  * @Example PT32X005_PVD_Interrupt
  * @author  ӦÿŶ
  * @version V1.1.0
  * @date    2020/1/27
  * @brief	ⲿԴ<=4.0VʱԴ͵ѹ¼"LVD"жϡλԶ־PC6LEDƵ
  *			ֱԴ>=4.0VLVD˳жϣPC6LEDϨ
  *          
  ******************************************************************************
  * @attention	ʹø̣
  *							ҪϵJ17RGB_R,RGB_G,RGB_B̽  
  *							PVDжӲԶж⴦񣬿ڽLVDжϺʧLVDжϣٽʹ
  *							ԴΪʹⲿԴʱҪȷӿ"J20""VCC"Ų̽ӣ"J20""VCC""GND"ŽӵⲿԴ
  *							ԴΪʹðصԴʱҪȷӿ"J20"ͨ·̽ӣͨ""ϵĵѹѡӿл3.3V5VԴԹ۲쵽LEDƵϨ
  *****************************************************************************/

#include "PT32X005.h"

/**
* @brief LEDGPIO
* @param 
* @retval 
*/
void GPIO_Driver(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;				//һGPIO_InitTypeDef͵Ľṹ
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_6;			//ѡҪƵGPIO
	GPIO_InitStructure.GPIO_Mode = GPIO_OType_PP;		//ģʽΪͨ
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL;	//ƫ
	GPIO_Init(GPIOC, &GPIO_InitStructure);				//ʼGPIO
	GPIO_SetBits(GPIOC, GPIO_Pin_6);					//GPIO״̬
}

/**
* @brief PVDģ 
* @param 
* @retval 
*/
void HIGH_LVD_Driver(void)
{
	RCC_ClearResetFlag(RCC_RSR_POR);		//ϵ縴λ־
	RCC_ClearResetFlag(RCC_RSR_PVDR);		//PVDλ־
	RCC_RestConfig(RCC_RSR_PVDR,DISABLE);	//PVDλʧ

	NVIC_EnableIRQ(PVD_IRQn);
	PWR_PVDLevelConfig(PWR_PLS_Level4);		//PVDֵ
	PWR_PVDCmd(ENABLE);						//PVDʹ
}

int main (void)
{
	GPIO_Driver();
	HIGH_LVD_Driver();
	while(1)
	{
		GPIO_SetBits(GPIOC, GPIO_Pin_6);	//Ϩ
	}
}

#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %lu\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif


