  /******************************************************************************
  * @Example PT32X005_PVD_Reset 
  * @author  ӦÿŶ
  * @version V1.1.0
  * @date    2020/1/27
  * @brief	¼һⲿԴСPVDֵPC6ΪߵƽLED ĬϨ
  *        	ⲿԴ<=PVDֵʱ,оƬλ,ֱⲿԴ>=PVDֵPC6,LEDƣָʾPVDλ
  *          
  ******************************************************************************
  * @attention	ʹø̣
  *							ԸӦʹⲿԴҪȷӿ"J20""VCC"Ų̽ӣ"J20""VCC""GND"ŽӵⲿԴ
  *							ҪϵJ17RGB_R,RGB_G,RGB_B̽  
  *							LVDλϢоƬһεԴλ
  *			
  *****************************************************************************/

#include "PT32X005.h"


void Software_Delay(void)
{
	u8 i, j,x;
	for(i=0; i<200; i++)
		for(j=0; j<200; j++)
			for(x=0; x<50; x++);
}

/**
* @brief LEDGPIO
* @param 
* @retval 
*/
void GPIO_Driver(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;								//һGPIO_InitTypeDef͵Ľṹ
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_6|GPIO_Pin_7|GPIO_Pin_3;		//ѡҪƵGPIO
	GPIO_InitStructure.GPIO_Mode = GPIO_OType_PP;						//ģʽΪͨ
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL;					//ƫ
	GPIO_Init(GPIOC, &GPIO_InitStructure);								//ÿ⺯ʼGPIO
	GPIO_SetBits(GPIOC, GPIO_Pin_6|GPIO_Pin_7|GPIO_Pin_3);				//ÿ⺯GPIO״̬
}

/**
* @brief PVDģ 
* @param 
* @retval 
*/
void PVD_Driver(void)
{
	RCC_RestConfig(RCC_RSR_PVDR,ENABLE);	//PVD λʹ

	PWR_PVDLevelConfig(PWR_PLS_Level4);		//PVDֵ
	PWR_PVDCmd(ENABLE);						//PVDʹ
}

int main (void)
{
	PVD_Driver();
	GPIO_Driver();
	if(RCC_GetResetFlagStatus(RCC_RSR_PVDR)==SET)
	{
		GPIO_ResetBits(GPIOC, GPIO_Pin_6);	//Ƶ
	}
	else
	{
		GPIO_SetBits(GPIOC, GPIO_Pin_6);	//Ϩ
	}
	while(1)
	{
		
	}
}

#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %lu\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif


